AMQPConnection::setPassword
AMQPConnection::setTimeout
AMQPConnection
PHP Manual

# AMQPConnection::setPort

(PECL amqp >= Unknown)

AMQPConnection::setPort — Set the port.

### Description

public bool AMQPConnection::setPort ( int `$port` )

This method will set the port used to connect to the AMQP broker.

### Parameters

`port`

  The port used to connect to the AMQP broker.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws an AMQPConnectionException if `port` is longer not between 1 and 65535.

### Examples

Example #1 AMQPConnection::setPort() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
// set the port
$cnn->setPort(5672);
?>`

AMQPConnection::setPassword
AMQPConnection::setTimeout
AMQPConnection
PHP Manual